Autor Tópico: UBUNTU 17.04 - Erro ao instalar o programa STOQ  (Lida 478 vezes)

Offline venturindouglas

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
UBUNTU 17.04 - Erro ao instalar o programa STOQ
« Online: 21 de Junho de 2017, 12:45 »
Pessoal, bom dia

Esse é meu primeiro tópico criado no grupo e gostaria de agradecer o espaço.

Recentemente comecei a utilizar o Ubuntu 17.04 com Gnome e o mesmo havia apresentado algumas inconsistências, tal como a Internet. Só que todos já foram resolvidos (gambiarras).

Acontece que ao tentar instalar o Software STOQ - Gestão Comercial, não da certo tanto pelo terminal quanto pela Live Cd.

Alguém mais teve esse tipo de problema?

Offline Tom.net

  • Usuário Ubuntu
  • *
  • Mensagens: 12
    • Ver perfil
Re:UBUNTU 17.04 - Erro ao instalar o programa STOQ
« Resposta #1 Online: 21 de Junho de 2017, 13:56 »
Bem vindo ao forum venturindouglas

Creio que seguiu esses passos que estão no site do STOQ,

sudo apt-add-repository ppa:stoq-dev/lancamentos

Insira sua senha do usuário do Ubuntu (caso precise)

Tecle Enter para adicionar o repositório ppa

Agora coloque este último comando em seu terminal, pressione Enter e pronto!

sudo apt update && sudo apt -y install stoq stoq-server && stoq


Qual o erro que aparece?


Enviado de meu XT1650 usando Tapatalk


Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.068
    • Ver perfil
Re:Ubuntu 17.04 - Erro ao instalar o programa STOQ
« Resposta #2 Online: 21 de Junho de 2017, 14:38 »
Recentemente comecei a utilizar o Ubuntu 17.04 com Gnome e o mesmo havia apresentado algumas inconsistências, tal como a Internet. Só que todos já foram resolvidos (gambiarras).
Acontece que ao tentar instalar o Software STOQ - Gestão Comercial, não da certo tanto pelo terminal quanto pela Live Cd.

Fiz agora uma instalação de teste aqui usando o Ubuntu 16.04 padrão (=Unity), porque não tenho imediatamente disponível o Ubuntu-Gnome, e instalou sem problemas e executou sem problemas.



Por enquanto arrisco um palpite: esse software não está pronto para a versão 17.04 (e talvez nunca venha a estar).

Examinando a ppa de origem se vê que o pacote do stoq propriamente dito, para o Zesty, subiu em 20/março/2017, mas oras, nesse data o Ubuntu 17.04, codename Zesty, sequer havia sido finalizado, já que o lançamento se deu em abril/2017, e de lá para cá não há novo pacote do stoq na ppa indicada, o que faz supor que não esteja adequado a essa versão do Ubuntu.

Aliás, indo na página principal do software, não consta expressamente suporte oficial à versão 17.04 e sim somente ao Ubuntu 14.04 e 16.04.

De toda forma, se for mesmo usar esse software para produção, isto é, uso real em alguma atividade de negócios, não é adequado usar o Ubuntu ou qualquer sabor dele na versão 17.04, cuja duração é curta, de apenas 9 meses, vez que essa versão é uma versão transitória, experimental, "novidadeira", serve apenas para testar e experimentar novidades, o que funciona é incorporado à futura versão LTS (=Long Term Support; Suporte de Longo Prazo), o que não funciona bem é descartado, é assim que funciona.

Isso na essência significa que **não** se deve usar uma versão transitória para assuntos sérios e instalações de produção no dia a dia de trabalho, sendo mais adequado optar sempre por versões LTS.

Muitos desenvolvedores sequer atualizam seus softwares para versões transistórias, exatamente porque são apenas experimentais e de curta duração, ou seja, não compensa e fica sem sentido o esforço de manutenção.

Para entender melhor o calendário geral de validade e suporte de todas as versões

Ubuntu releases calendar

https://wiki.ubuntu.com/Releases

Complementarmente também esse:

https://wiki.ubuntu.com/LTS

Mais especificamente aqui:

https://www.ubuntu.com/info/release-end-of-life

Nada obstante, responda ao post anterior do colega "Tom.net", o que já dará indicativos mais concretos de qual possa ser o problema, que muito possivelmente é o de ausência de dependências.


« Última modificação: 21 de Junho de 2017, 14:51 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.068
    • Ver perfil
Re:Ubuntu 17.04 - Erro ao instalar o programa STOQ
« Resposta #3 Online: 21 de Junho de 2017, 20:47 »
Instalei agora o Stoq usando um live-iso do Ubuntu-Gnome 16.04, portanto Xenial, igualmente instalou e iniciou sem problemas.

Isso parece confirmar o quanto dito antes.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.